FINITE(3) | NetBSD Library Functions Manual | FINITE(3)

# NAME

finite, finitef — tests for finite values

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

int
finite(double x);

int
finitef(float x);

# DESCRIPTION

The finite() function returns the value 1 when

-infinity < x < +infinity.

Otherwise a zero is returned (that is, |x| = infinity or x is NaN).

# SEE ALSO

isfinite(3), math(3)

# STANDARDS

The described functions conform to IEEE Std 754-1985. Note that unlike isfinite(3), neither function is present in the ISO C-language standards or in the IEEE POSIX standards.

# HISTORY

The finite and finitef() functions first appeared in 4.3BSD.

July 28, 2011 | NetBSD 5.99